<?php
/**
 *
 * @author	Hj Ahmad Rasyid Hj Ismail "ahrasis"
 * @email	ahrasis@gmail.com
 * @link	https://sahabat.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	Masa: Surfer's Local Live Time 
 *
 */

function template_th_time_bar()
{
	global $modSettings, $txt;

	echo '
			<div id="butang" class="masa">' . (!empty($modSettings['masa_date_hide']) ? '<span class="date_mobile_hide">' : '') . (date((!empty($modSettings['masa_date_format']) ? $modSettings['masa_date_format'] : 'l, d F Y,'))) . (!empty($modSettings['masa_date_hide']) ? '</span>' : '') . ' <span id="masa">' . $txt['masa_wait'] . '</span><script type="text/javascript">//<![CDATA[
				function JamHidup() {
					var t=new Date(); var j=t.getHours(); var d=t.getMinutes(); var s=t.getSeconds(); var kala; if (j<=9) {j="0" + j} if (d<=9) {d="0" + d} if (s<=9) {s="0" + s} if (j>=13) {j-=12;kala = " ' . $txt['time_pm'] . '"} else {kala=" ' . $txt['time_am'] . '"} 
					document.getElementById("masa").innerHTML=j + ":" + d + ":" + s' . (!empty($modSettings['masa_pm_am_hide']) ? '' : ' + kala') . '; setTimeout("JamHidup()",1000);
				} JamHidup();
			//]]></script></div>';
}

?>